Groovy Documentation

## org.codehaus.groovy.grails.web.taglib
[Groovy] Class GroovyPageAttributes

    java.lang.Object
      org.codehaus.groovy.grails.web.util.TypeConvertingMap
          org.codehaus.groovy.grails.web.taglib.GroovyPageAttributes

    class GroovyPageAttributes
    extends TypeConvertingMap

Defines attributes passed to a GSP tag. Mixes in TypeConvertingMap for ease of type conversion.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class TypeConvertingMap
wrappedMap

Constructor Summary
`GroovyPageAttributes()`
`GroovyPageAttributes(java.util.Map map)`

Method Summary
`protected java.lang.Object` | `clone()`
`int` | `hashCode()`
`java.util.List` | `list(java.lang.String name)` Helper method for obtaining a list of values from parameter

Methods inherited from class TypeConvertingMap
clear, containsKey, containsValue, entrySet, equals, get, getBoolean, getByte, getDouble, getFloat, getInt, getList, getLong, getShort, hashCode, isEmpty, keySet, put, putAll, remove, size, values

Constructor Detail

### GroovyPageAttributes

    GroovyPageAttributes()

### GroovyPageAttributes

    GroovyPageAttributes(java.util.Map map)

Method Detail

### clone

    protected java.lang.Object clone()

### hashCode

    int hashCode()

### list

    java.util.List list(java.lang.String name)

  Helper method for obtaining a list of values from parameter
  Parameters:
    `name` - The name of the parameter
  Returns:
    A list of values

Groovy Documentation